﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;
using System.Xml.Linq;
using System.IO;

namespace RadCoverFlow_WebService
{
	public class ViewModel : ViewModelBase
	{
		private bool isLoading;
		public bool IsLoading
		{
			get
			{
				return this.isLoading;
			}

			set
			{
				if (this.isLoading != value)
				{
					this.isLoading = value;
					this.OnPropertyChanged(() => this.IsLoading);
				}
			}
		}

		private string progress;
		public string Progress
		{
			get
			{
				return this.progress;
			}

			set
			{
				if (this.progress != value)
				{
					this.progress = value;
					this.OnPropertyChanged(() => this.Progress);
				}
			}
		}

		public ObservableCollection<string> Items { get; private set; }

		public ViewModel()
		{
			this.Items = new ObservableCollection<string>();
			WebClient client = new WebClient();
			client.OpenReadCompleted += new OpenReadCompletedEventHandler(client_OpenReadCompleted);
			client.OpenReadAsync(new Uri(@"http://silverlight.techmediaconsultant.com/sqlxml/xmltemplate/getMedia.xml?top=100"));
			this.IsLoading = true;
		}

		void client_OpenReadCompleted(object sender, OpenReadCompletedEventArgs e)
		{
			this.Items.Clear();
			StreamReader reader = new StreamReader(e.Result);
			XDocument document = XDocument.Load(reader);
			foreach (XElement item in document.Descendants("pict_path"))
			{
				this.Items.Add(item.Value);
			}

			this.IsLoading = false;
		}
	}
}
